forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Crossley <cross...@apache.org>
Subject Re: Problems running apache-forrest-0.7 out of the box
Date Wed, 28 Jun 2006 11:02:00 GMT
This is a horrible error that we caused with plugins
following the 0.7 release.

http://forrest.apache.org/docs_0_80/faq.html#older-plugins

By the way if you are just exploring Forrest and not intending
immediate production, then using forrest-0.8-dev from SVN
is probably the best. Your call.

-David

Simon Koelsch wrote:
> Hi there!
> 
> I just started looking on apache forrest yesterday and now wanted to try it. I
> downloaded the current 0.7 release, untared it, set FORREST_HOME and my PATH and
> then tried a 'forrest run' in site-author folder.
> 
> Everything seems fine and jetty starts:
> 
> ,------[ log
> |
> |  ... snip ... 
> |
> | run_custom_jetty:
> |
> | run_default_jetty:
> |
> |  Note: Use Ctrl-C to stop the Jetty server
> |	    
> |			12:34:27.916 EVENT  Checking Resource aliases
> |			12:34:28.562 EVENT  Starting Jetty/4.2.19
> |			12:34:28.842 EVENT  Started WebApplicationContext[/,Apache Forrest]
> |			Lazy mode: false
> |			12:34:30.708 EVENT  Started SocketListener on 0.0.0.0:8888
> |			12:34:30.710 EVENT  Started org.mortbay.jetty.Server@b000e7
> |
> `---
> 
> Now if I try to visit localhost:8080 I get an internal server error:
> 
> ,----[ error
> |
> | Message: null
> |
> | Description: No details available.
> | 
> | Sender: org.apache.cocoon.servlet.CocoonServlet
> |
> | Source: Cocoon Servlet
> |
> | Request URI
> |
> | cause
> | 
> | Could not find component for role:
> | [org.apache.cocoon.components.modules.input.InputModule/lm]
> | (Key='org.apache.cocoon.components.modules.input.InputModule/lm')
> | 
> | request-uri
> |
> | /
> |
> | Apache Cocoon 2.2.0-dev
> |
> `---
> 
> I tried to rebuild the forrest but with no effect.
> 
> Later on I tried a current snapshot (forrest_20060628101207.tar.gz) and here the
> things work fine.
> 
> I'm reporting this to the list because I think such an error shouldn't be
> present at a current release.
> 
> I'm using a mac and java 1.5:
> 
> ,---[ system
> |
> | [echox@applegrutze:~] % java -version
> | java version "1.5.0_06"
> | Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-112)
> | Java HotSpot(TM) Client VM (build 1.5.0_06-64, mixed mode, sharing)
> | [echox@applegrutze:~] % uname -a
> | Darwin applegrutze.local 8.6.0 Darwin Kernel Version 8.6.0: Tue Mar  7 16:58:48
> | PST 2006; root:xnu-792.6.70.obj~1/RELEASE_PPC Power Macintosh powerpc
> |
> `---
> 
> I don't know what to exactly include in this mail, so if you need anything just
> tell me.
> 
> Best regards,
> Simon

Mime
View raw message